org.apache.poi.xddf.usermodel

## Enum PresetGeometry

- java.lang.Object
- - java.lang.Enum<PresetGeometry>
  - - org.apache.poi.xddf.usermodel.PresetGeometry

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresetGeometry>

      public enum PresetGeometry
      extends java.lang.Enum<PresetGeometry>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT_BORDER_CALLOUT_1`
    `ACCENT_BORDER_CALLOUT_2`
    `ACCENT_BORDER_CALLOUT_3`
    `ACCENT_CALLOUT_1`
    `ACCENT_CALLOUT_2`
    `ACCENT_CALLOUT_3`
    `ACTION_BUTTON_BACK_PREVIOUS`
    `ACTION_BUTTON_BEGINNING`
    `ACTION_BUTTON_BLANK`
    `ACTION_BUTTON_DOCUMENT`
    `ACTION_BUTTON_END`
    `ACTION_BUTTON_FORWARD_NEXT`
    `ACTION_BUTTON_HELP`
    `ACTION_BUTTON_HOME`
    `ACTION_BUTTON_INFORMATION`
    `ACTION_BUTTON_MOVIE`
    `ACTION_BUTTON_RETURN`
    `ACTION_BUTTON_SOUND`
    `ARC`
    `BENT_ARROW`
    `BENT_CONNECTOR_2`
    `BENT_CONNECTOR_3`
    `BENT_CONNECTOR_4`
    `BENT_CONNECTOR_5`
    `BENT_UP_ARROW`
    `BEVEL`
    `BLOCK_ARC`
    `BORDER_CALLOUT_1`
    `BORDER_CALLOUT_2`
    `BORDER_CALLOUT_3`
    `BRACE_PAIR`
    `BRACKET_PAIR`
    `CALLOUT_1`
    `CALLOUT_2`
    `CALLOUT_3`
    `CAN`
    `CHART_PLUS`
    `CHART_STAR`
    `CHART_X`
    `CHEVRON`
    `CHORD`
    `CIRCULAR_ARROW`
    `CLOUD`
    `CLOUD_CALLOUT`
    `CORNER`
    `CORNER_TABS`
    `CUBE`
    `CURVED_CONNECTOR_2`
    `CURVED_CONNECTOR_3`
    `CURVED_CONNECTOR_4`
    `CURVED_CONNECTOR_5`
    `CURVED_DOWN_ARROW`
    `CURVED_LEFT_ARROW`
    `CURVED_RIGHT_ARROW`
    `CURVED_UP_ARROW`
    `DARK_BLUE`
    `DECAGON`
    `DIAGONAL_STRIPE`
    `DIAMOND`
    `DODECAGON`
    `DONUT`
    `DOUBLE_WAVE`
    `DOWN_ARROW`
    `DOWN_ARROW_CALLOUT`
    `ELLIPSE`
    `ELLIPSE_RIBBON`
    `ELLIPSE_RIBBON_2`
    `FLOW_CHART_ALTERNATE_PROCESS`
    `FLOW_CHART_COLLATE`
    `FLOW_CHART_CONNECTOR`
    `FLOW_CHART_DECISION`
    `FLOW_CHART_DELAY`
    `FLOW_CHART_DISPLAY`
    `FLOW_CHART_DOCUMENT`
    `FLOW_CHART_EXTRACT`
    `FLOW_CHART_INPUT_OUTPUT`
    `FLOW_CHART_INTERNAL_STORAGE`
    `FLOW_CHART_MAGNETIC_DISK`
    `FLOW_CHART_MAGNETIC_DRUM`
    `FLOW_CHART_MAGNETIC_TAPE`
    `FLOW_CHART_MANUAL_INPUT`
    `FLOW_CHART_MANUAL_OPERATION`
    `FLOW_CHART_MERGE`
    `FLOW_CHART_MULTIDOCUMENT`
    `FLOW_CHART_OFFLINE_STORAGE`
    `FLOW_CHART_OFFPAGE_CONNECTOR`
    `FLOW_CHART_ONLINE_STORAGE`
    `FLOW_CHART_OR`
    `FLOW_CHART_PREDEFINED_PROCESS`
    `FLOW_CHART_PREPARATION`
    `FLOW_CHART_PROCESS`
    `FLOW_CHART_PUNCHED_CARD`
    `FLOW_CHART_PUNCHED_TAPE`
    `FLOW_CHART_SORT`
    `FLOW_CHART_SUMMING_JUNCTION`
    `FLOW_CHART_TERMINATOR`
    `FOLDED_CORNER`
    `FRAME`
    `FUNNEL`
    `GEAR_6`
    `GEAR_9`
    `HALF_FRAME`
    `HEART`
    `HEPTAGON`
    `HEXAGON`
    `HOME_PLATE`
    `HORIZONTAL_SCROLL`
    `IRREGULAR_SEAL_1`
    `IRREGULAR_SEAL_2`
    `LEFT_ARROW`
    `LEFT_ARROW_CALLOUT`
    `LEFT_BRACE`
    `LEFT_BRACKET`
    `LEFT_CIRCULAR_ARROW`
    `LEFT_RIGHT_ARROW`
    `LEFT_RIGHT_ARROW_CALLOUT`
    `LEFT_RIGHT_CIRCULAR_ARROW`
    `LEFT_RIGHT_RIBBON`
    `LEFT_RIGHT_UP_ARROW`
    `LEFT_UP_ARROW`
    `LIGHTNING_BOLT`
    `LINE`
    `LINE_INVERTED`
    `MATH_DIVIDE`
    `MATH_EQUAL`
    `MATH_MINUS`
    `MATH_MULTIPLY`
    `MATH_NOT_EQUAL`
    `MATH_PLUS`
    `MOON`
    `NO_SMOKING`
    `NON_ISOSCELES_TRAPEZOID`
    `NOTCHED_RIGHT_ARROW`
    `OCTAGON`
    `PARALLELOGRAM`
    `PENTAGON`
    `PIE`
    `PIE_WEDGE`
    `PLAQUE`
    `PLAQUE_TABS`
    `PLUS`
    `QUAD_ARROW`
    `QUAD_ARROW_CALLOUT`
    `RECTANGLE`
    `RIBBON`
    `RIBBON_2`
    `RIGHT_ARROW`
    `RIGHT_ARROW_CALLOUT`
    `RIGHT_BRACE`
    `RIGHT_BRACKET`
    `RIGHT_TRIANGLE`
    `ROUND_RECTANGLE`
    `ROUND_RECTANGLE_1_CORNER`
    `ROUND_RECTANGLE_2_DIAGONAL_CORNERS`
    `ROUND_RECTANGLE_2_SAME_SIDE_CORNERS`
    `SMILEY_FACE`
    `SNIP_RECTANGLE_1_CORNER`
    `SNIP_RECTANGLE_2_DIAGONAL_CORNERS`
    `SNIP_RECTANGLE_2_SAME_SIDE_CORNERS`
    `SNIP_ROUND_RECTANGLE`
    `SQUARE_TABS`
    `STAR_10`
    `STAR_12`
    `STAR_16`
    `STAR_24`
    `STAR_32`
    `STAR_4`
    `STAR_5`
    `STAR_6`
    `STAR_7`
    `STAR_8`
    `STRAIGHT_CONNECTOR`
    `STRIPED_RIGHT_ARROW`
    `SUN`
    `SWOOSH_ARROW`
    `TEARDROP`
    `TRAPEZOID`
    `TRIANGLE`
    `UP_ARROW`
    `UP_ARROW_CALLOUT`
    `UP_DOWN_ARROW`
    `UP_DOWN_ARROW_CALLOUT`
    `UTURN_ARROW`
    `VERTICAL_SCROLL`
    `WAVE`
    `WEDGE_ELLIPSE_CALLOUT`
    `WEDGE_RECTANGLE_CALLOUT`
    `WEDGE_ROUND_RECTANGLE_CALLOUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresetGeometry` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresetGeometry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCENT_BORDER_CALLOUT_1

          public static final PresetGeometry ACCENT_BORDER_CALLOUT_1

    - #### ACCENT_BORDER_CALLOUT_2

          public static final PresetGeometry ACCENT_BORDER_CALLOUT_2

    - #### ACCENT_BORDER_CALLOUT_3

          public static final PresetGeometry ACCENT_BORDER_CALLOUT_3

    - #### ACCENT_CALLOUT_1

          public static final PresetGeometry ACCENT_CALLOUT_1

    - #### ACCENT_CALLOUT_2

          public static final PresetGeometry ACCENT_CALLOUT_2

    - #### ACCENT_CALLOUT_3

          public static final PresetGeometry ACCENT_CALLOUT_3

    - #### ACTION_BUTTON_BACK_PREVIOUS

          public static final PresetGeometry ACTION_BUTTON_BACK_PREVIOUS

    - #### ACTION_BUTTON_BEGINNING

          public static final PresetGeometry ACTION_BUTTON_BEGINNING

    - #### ACTION_BUTTON_BLANK

          public static final PresetGeometry ACTION_BUTTON_BLANK

    - #### ACTION_BUTTON_DOCUMENT

          public static final PresetGeometry ACTION_BUTTON_DOCUMENT

    - #### ACTION_BUTTON_END

          public static final PresetGeometry ACTION_BUTTON_END

    - #### ACTION_BUTTON_FORWARD_NEXT

          public static final PresetGeometry ACTION_BUTTON_FORWARD_NEXT

    - #### ACTION_BUTTON_HELP

          public static final PresetGeometry ACTION_BUTTON_HELP

    - #### ACTION_BUTTON_HOME

          public static final PresetGeometry ACTION_BUTTON_HOME

    - #### ACTION_BUTTON_INFORMATION

          public static final PresetGeometry ACTION_BUTTON_INFORMATION

    - #### ACTION_BUTTON_MOVIE

          public static final PresetGeometry ACTION_BUTTON_MOVIE

    - #### ACTION_BUTTON_RETURN

          public static final PresetGeometry ACTION_BUTTON_RETURN

    - #### ACTION_BUTTON_SOUND

          public static final PresetGeometry ACTION_BUTTON_SOUND

    - #### ARC

          public static final PresetGeometry ARC

    - #### BENT_ARROW

          public static final PresetGeometry BENT_ARROW

    - #### BENT_CONNECTOR_2

          public static final PresetGeometry BENT_CONNECTOR_2

    - #### BENT_CONNECTOR_3

          public static final PresetGeometry BENT_CONNECTOR_3

    - #### DARK_BLUE

          public static final PresetGeometry DARK_BLUE

    - #### BENT_CONNECTOR_4

          public static final PresetGeometry BENT_CONNECTOR_4

    - #### BENT_CONNECTOR_5

          public static final PresetGeometry BENT_CONNECTOR_5

    - #### BENT_UP_ARROW

          public static final PresetGeometry BENT_UP_ARROW

    - #### BEVEL

          public static final PresetGeometry BEVEL

    - #### BLOCK_ARC

          public static final PresetGeometry BLOCK_ARC

    - #### BORDER_CALLOUT_1

          public static final PresetGeometry BORDER_CALLOUT_1

    - #### BORDER_CALLOUT_2

          public static final PresetGeometry BORDER_CALLOUT_2

    - #### BORDER_CALLOUT_3

          public static final PresetGeometry BORDER_CALLOUT_3

    - #### BRACE_PAIR

          public static final PresetGeometry BRACE_PAIR

    - #### BRACKET_PAIR

          public static final PresetGeometry BRACKET_PAIR

    - #### CALLOUT_1

          public static final PresetGeometry CALLOUT_1

    - #### CALLOUT_2

          public static final PresetGeometry CALLOUT_2

    - #### CALLOUT_3

          public static final PresetGeometry CALLOUT_3

    - #### CAN

          public static final PresetGeometry CAN

    - #### CHART_PLUS

          public static final PresetGeometry CHART_PLUS

    - #### CHART_STAR

          public static final PresetGeometry CHART_STAR

    - #### CHART_X

          public static final PresetGeometry CHART_X

    - #### CHEVRON

          public static final PresetGeometry CHEVRON

    - #### CHORD

          public static final PresetGeometry CHORD

    - #### CIRCULAR_ARROW

          public static final PresetGeometry CIRCULAR_ARROW

    - #### CLOUD

          public static final PresetGeometry CLOUD

    - #### CLOUD_CALLOUT

          public static final PresetGeometry CLOUD_CALLOUT

    - #### CORNER

          public static final PresetGeometry CORNER

    - #### CORNER_TABS

          public static final PresetGeometry CORNER_TABS

    - #### CUBE

          public static final PresetGeometry CUBE

    - #### CURVED_CONNECTOR_2

          public static final PresetGeometry CURVED_CONNECTOR_2

    - #### CURVED_CONNECTOR_3

          public static final PresetGeometry CURVED_CONNECTOR_3

    - #### CURVED_CONNECTOR_4

          public static final PresetGeometry CURVED_CONNECTOR_4

    - #### CURVED_CONNECTOR_5

          public static final PresetGeometry CURVED_CONNECTOR_5

    - #### CURVED_DOWN_ARROW

          public static final PresetGeometry CURVED_DOWN_ARROW

    - #### CURVED_LEFT_ARROW

          public static final PresetGeometry CURVED_LEFT_ARROW

    - #### CURVED_RIGHT_ARROW

          public static final PresetGeometry CURVED_RIGHT_ARROW

    - #### CURVED_UP_ARROW

          public static final PresetGeometry CURVED_UP_ARROW

    - #### DECAGON

          public static final PresetGeometry DECAGON

    - #### DIAGONAL_STRIPE

          public static final PresetGeometry DIAGONAL_STRIPE

    - #### DIAMOND

          public static final PresetGeometry DIAMOND

    - #### DODECAGON

          public static final PresetGeometry DODECAGON

    - #### DONUT

          public static final PresetGeometry DONUT

    - #### DOUBLE_WAVE

          public static final PresetGeometry DOUBLE_WAVE

    - #### DOWN_ARROW

          public static final PresetGeometry DOWN_ARROW

    - #### DOWN_ARROW_CALLOUT

          public static final PresetGeometry DOWN_ARROW_CALLOUT

    - #### ELLIPSE

          public static final PresetGeometry ELLIPSE

    - #### ELLIPSE_RIBBON

          public static final PresetGeometry ELLIPSE_RIBBON

    - #### ELLIPSE_RIBBON_2

          public static final PresetGeometry ELLIPSE_RIBBON_2

    - #### FLOW_CHART_ALTERNATE_PROCESS

          public static final PresetGeometry FLOW_CHART_ALTERNATE_PROCESS

    - #### FLOW_CHART_COLLATE

          public static final PresetGeometry FLOW_CHART_COLLATE

    - #### FLOW_CHART_CONNECTOR

          public static final PresetGeometry FLOW_CHART_CONNECTOR

    - #### FLOW_CHART_DECISION

          public static final PresetGeometry FLOW_CHART_DECISION

    - #### FLOW_CHART_DELAY

          public static final PresetGeometry FLOW_CHART_DELAY

    - #### FLOW_CHART_DISPLAY

          public static final PresetGeometry FLOW_CHART_DISPLAY

    - #### FLOW_CHART_DOCUMENT

          public static final PresetGeometry FLOW_CHART_DOCUMENT

    - #### FLOW_CHART_EXTRACT

          public static final PresetGeometry FLOW_CHART_EXTRACT

    - #### FLOW_CHART_INPUT_OUTPUT

          public static final PresetGeometry FLOW_CHART_INPUT_OUTPUT

    - #### FLOW_CHART_INTERNAL_STORAGE

          public static final PresetGeometry FLOW_CHART_INTERNAL_STORAGE

    - #### FLOW_CHART_MAGNETIC_DISK

          public static final PresetGeometry FLOW_CHART_MAGNETIC_DISK

    - #### FLOW_CHART_MAGNETIC_DRUM

          public static final PresetGeometry FLOW_CHART_MAGNETIC_DRUM

    - #### FLOW_CHART_MAGNETIC_TAPE

          public static final PresetGeometry FLOW_CHART_MAGNETIC_TAPE

    - #### FLOW_CHART_MANUAL_INPUT

          public static final PresetGeometry FLOW_CHART_MANUAL_INPUT

    - #### FLOW_CHART_MANUAL_OPERATION

          public static final PresetGeometry FLOW_CHART_MANUAL_OPERATION

    - #### FLOW_CHART_MERGE

          public static final PresetGeometry FLOW_CHART_MERGE

    - #### FLOW_CHART_MULTIDOCUMENT

          public static final PresetGeometry FLOW_CHART_MULTIDOCUMENT

    - #### FLOW_CHART_OFFLINE_STORAGE

          public static final PresetGeometry FLOW_CHART_OFFLINE_STORAGE

    - #### FLOW_CHART_OFFPAGE_CONNECTOR

          public static final PresetGeometry FLOW_CHART_OFFPAGE_CONNECTOR

    - #### FLOW_CHART_ONLINE_STORAGE

          public static final PresetGeometry FLOW_CHART_ONLINE_STORAGE

    - #### FLOW_CHART_OR

          public static final PresetGeometry FLOW_CHART_OR

    - #### FLOW_CHART_PREDEFINED_PROCESS

          public static final PresetGeometry FLOW_CHART_PREDEFINED_PROCESS

    - #### FLOW_CHART_PREPARATION

          public static final PresetGeometry FLOW_CHART_PREPARATION

    - #### FLOW_CHART_PROCESS

          public static final PresetGeometry FLOW_CHART_PROCESS

    - #### FLOW_CHART_PUNCHED_CARD

          public static final PresetGeometry FLOW_CHART_PUNCHED_CARD

    - #### FLOW_CHART_PUNCHED_TAPE

          public static final PresetGeometry FLOW_CHART_PUNCHED_TAPE

    - #### FLOW_CHART_SORT

          public static final PresetGeometry FLOW_CHART_SORT

    - #### FLOW_CHART_SUMMING_JUNCTION

          public static final PresetGeometry FLOW_CHART_SUMMING_JUNCTION

    - #### FLOW_CHART_TERMINATOR

          public static final PresetGeometry FLOW_CHART_TERMINATOR

    - #### FOLDED_CORNER

          public static final PresetGeometry FOLDED_CORNER

    - #### FRAME

          public static final PresetGeometry FRAME

    - #### FUNNEL

          public static final PresetGeometry FUNNEL

    - #### GEAR_6

          public static final PresetGeometry GEAR_6

    - #### GEAR_9

          public static final PresetGeometry GEAR_9

    - #### HALF_FRAME

          public static final PresetGeometry HALF_FRAME

    - #### HEART

          public static final PresetGeometry HEART

    - #### HEPTAGON

          public static final PresetGeometry HEPTAGON

    - #### HEXAGON

          public static final PresetGeometry HEXAGON

    - #### HOME_PLATE

          public static final PresetGeometry HOME_PLATE

    - #### HORIZONTAL_SCROLL

          public static final PresetGeometry HORIZONTAL_SCROLL

    - #### IRREGULAR_SEAL_1

          public static final PresetGeometry IRREGULAR_SEAL_1

    - #### IRREGULAR_SEAL_2

          public static final PresetGeometry IRREGULAR_SEAL_2

    - #### LEFT_ARROW

          public static final PresetGeometry LEFT_ARROW

    - #### LEFT_ARROW_CALLOUT

          public static final PresetGeometry LEFT_ARROW_CALLOUT

    - #### LEFT_BRACE

          public static final PresetGeometry LEFT_BRACE

    - #### LEFT_BRACKET

          public static final PresetGeometry LEFT_BRACKET

    - #### LEFT_CIRCULAR_ARROW

          public static final PresetGeometry LEFT_CIRCULAR_ARROW

    - #### LEFT_RIGHT_ARROW

          public static final PresetGeometry LEFT_RIGHT_ARROW

    - #### LEFT_RIGHT_ARROW_CALLOUT

          public static final PresetGeometry LEFT_RIGHT_ARROW_CALLOUT

    - #### LEFT_RIGHT_CIRCULAR_ARROW

          public static final PresetGeometry LEFT_RIGHT_CIRCULAR_ARROW

    - #### LEFT_RIGHT_RIBBON

          public static final PresetGeometry LEFT_RIGHT_RIBBON

    - #### LEFT_RIGHT_UP_ARROW

          public static final PresetGeometry LEFT_RIGHT_UP_ARROW

    - #### LEFT_UP_ARROW

          public static final PresetGeometry LEFT_UP_ARROW

    - #### LIGHTNING_BOLT

          public static final PresetGeometry LIGHTNING_BOLT

    - #### LINE

          public static final PresetGeometry LINE

    - #### LINE_INVERTED

          public static final PresetGeometry LINE_INVERTED

    - #### MATH_DIVIDE

          public static final PresetGeometry MATH_DIVIDE

    - #### MATH_EQUAL

          public static final PresetGeometry MATH_EQUAL

    - #### MATH_MINUS

          public static final PresetGeometry MATH_MINUS

    - #### MATH_MULTIPLY

          public static final PresetGeometry MATH_MULTIPLY

    - #### MATH_NOT_EQUAL

          public static final PresetGeometry MATH_NOT_EQUAL

    - #### MATH_PLUS

          public static final PresetGeometry MATH_PLUS

    - #### MOON

          public static final PresetGeometry MOON

    - #### NO_SMOKING

          public static final PresetGeometry NO_SMOKING

    - #### NON_ISOSCELES_TRAPEZOID

          public static final PresetGeometry NON_ISOSCELES_TRAPEZOID

    - #### NOTCHED_RIGHT_ARROW

          public static final PresetGeometry NOTCHED_RIGHT_ARROW

    - #### OCTAGON

          public static final PresetGeometry OCTAGON

    - #### PARALLELOGRAM

          public static final PresetGeometry PARALLELOGRAM

    - #### PENTAGON

          public static final PresetGeometry PENTAGON

    - #### PIE

          public static final PresetGeometry PIE

    - #### PIE_WEDGE

          public static final PresetGeometry PIE_WEDGE

    - #### PLAQUE

          public static final PresetGeometry PLAQUE

    - #### PLAQUE_TABS

          public static final PresetGeometry PLAQUE_TABS

    - #### PLUS

          public static final PresetGeometry PLUS

    - #### QUAD_ARROW

          public static final PresetGeometry QUAD_ARROW

    - #### QUAD_ARROW_CALLOUT

          public static final PresetGeometry QUAD_ARROW_CALLOUT

    - #### RECTANGLE

          public static final PresetGeometry RECTANGLE

    - #### RIBBON

          public static final PresetGeometry RIBBON

    - #### RIBBON_2

          public static final PresetGeometry RIBBON_2

    - #### RIGHT_ARROW

          public static final PresetGeometry RIGHT_ARROW

    - #### RIGHT_ARROW_CALLOUT

          public static final PresetGeometry RIGHT_ARROW_CALLOUT

    - #### RIGHT_BRACE

          public static final PresetGeometry RIGHT_BRACE

    - #### RIGHT_BRACKET

          public static final PresetGeometry RIGHT_BRACKET

    - #### ROUND_RECTANGLE_1_CORNER

          public static final PresetGeometry ROUND_RECTANGLE_1_CORNER

    - #### ROUND_RECTANGLE_2_DIAGONAL_CORNERS

          public static final PresetGeometry ROUND_RECTANGLE_2_DIAGONAL_CORNERS

    - #### ROUND_RECTANGLE_2_SAME_SIDE_CORNERS

          public static final PresetGeometry ROUND_RECTANGLE_2_SAME_SIDE_CORNERS

    - #### ROUND_RECTANGLE

          public static final PresetGeometry ROUND_RECTANGLE

    - #### RIGHT_TRIANGLE

          public static final PresetGeometry RIGHT_TRIANGLE

    - #### SMILEY_FACE

          public static final PresetGeometry SMILEY_FACE

    - #### SNIP_RECTANGLE_1_CORNER

          public static final PresetGeometry SNIP_RECTANGLE_1_CORNER

    - #### SNIP_RECTANGLE_2_DIAGONAL_CORNERS

          public static final PresetGeometry SNIP_RECTANGLE_2_DIAGONAL_CORNERS

    - #### SNIP_RECTANGLE_2_SAME_SIDE_CORNERS

          public static final PresetGeometry SNIP_RECTANGLE_2_SAME_SIDE_CORNERS

    - #### SNIP_ROUND_RECTANGLE

          public static final PresetGeometry SNIP_ROUND_RECTANGLE

    - #### SQUARE_TABS

          public static final PresetGeometry SQUARE_TABS

    - #### STAR_10

          public static final PresetGeometry STAR_10

    - #### STAR_12

          public static final PresetGeometry STAR_12

    - #### STAR_16

          public static final PresetGeometry STAR_16

    - #### STAR_24

          public static final PresetGeometry STAR_24

    - #### STAR_32

          public static final PresetGeometry STAR_32

    - #### STAR_4

          public static final PresetGeometry STAR_4

    - #### STAR_5

          public static final PresetGeometry STAR_5

    - #### STAR_6

          public static final PresetGeometry STAR_6

    - #### STAR_7

          public static final PresetGeometry STAR_7

    - #### STAR_8

          public static final PresetGeometry STAR_8

    - #### STRAIGHT_CONNECTOR

          public static final PresetGeometry STRAIGHT_CONNECTOR

    - #### STRIPED_RIGHT_ARROW

          public static final PresetGeometry STRIPED_RIGHT_ARROW

    - #### SUN

          public static final PresetGeometry SUN

    - #### SWOOSH_ARROW

          public static final PresetGeometry SWOOSH_ARROW

    - #### TEARDROP

          public static final PresetGeometry TEARDROP

    - #### TRAPEZOID

          public static final PresetGeometry TRAPEZOID

    - #### TRIANGLE

          public static final PresetGeometry TRIANGLE

    - #### UP_ARROW

          public static final PresetGeometry UP_ARROW

    - #### UP_ARROW_CALLOUT

          public static final PresetGeometry UP_ARROW_CALLOUT

    - #### UP_DOWN_ARROW

          public static final PresetGeometry UP_DOWN_ARROW

    - #### UP_DOWN_ARROW_CALLOUT

          public static final PresetGeometry UP_DOWN_ARROW_CALLOUT

    - #### UTURN_ARROW

          public static final PresetGeometry UTURN_ARROW

    - #### VERTICAL_SCROLL

          public static final PresetGeometry VERTICAL_SCROLL

    - #### WAVE

          public static final PresetGeometry WAVE

    - #### WEDGE_ELLIPSE_CALLOUT

          public static final PresetGeometry WEDGE_ELLIPSE_CALLOUT

    - #### WEDGE_RECTANGLE_CALLOUT

          public static final PresetGeometry WEDGE_RECTANGLE_CALLOUT

    - #### WEDGE_ROUND_RECTANGLE_CALLOUT

          public static final PresetGeometry WEDGE_ROUND_RECTANGLE_CALLOUT

  - ### Method Detail

    - #### values

          public static PresetGeometry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresetGeometry c : PresetGeometry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresetGeometry valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.